Bug 198297 - CVE-2006-3403 Samba denial of service
CVE-2006-3403 Samba denial of service
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
source=vendorsec,reported=20060705,em...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 17:20 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.24-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 10:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-07-10 17:20:45 EDT
+++ This bug was initially created as a clone of Bug #197836 +++

Samba denial of service

Upstream alerted us to a denial of service bug in Samba.

Here is the description from the mail:

"""
We've got a small anonymous DoS against Samba 3.0.1 - 3.0.22
inclusive.  The bug is caused by continually increasing
the size of an array which maintains state information about
the number of active share connections.  The result is that
an attacker could cause a single smbd to bloat exhausting
the memory on a server.
"""

-- Additional comment from bressers@redhat.com on 2006-07-06 14:30 EST --
Created an attachment (id=132013)
Patch from upstream


-- Additional comment from bressers@redhat.com on 2006-07-10 17:18 EST --
Lifting embargo:
http://samba.org/samba/security/CAN-2006-3403.html
Comment 1 Fedora Update System 2006-07-14 20:54:45 EDT
samba-3.0.23-1.fc4 has been pushed for fc4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.